Name: mastergear-svgalib
Summary: The Sega MasterSystem (Mark 3) and GameGear emulator using SVGAlib
Version: 1.0
Release: 2
Copyright: Marat Fayzullin 1996
Group: Games
Source0: http://www.komkon.org/fms/MG/MG.tar.Z
Source1: http://elektron.et.tudelft.nl/~jdegoede/mg-1.0-patch-v1.tgz
Patch: mastergear-svgalib-1.0-makefile.patch
URL: http://www.komkon.org/fms/MG/
Packager: Anthony Y.P. Wong <ypwong@poboxes.com>
Buildroot: /tmp/mastergear-svgalib-root

%description 
MasterGear is a portable emulator of two SEGA game consoles: the old
MasterSystem (known as Mark3 in Japan) and the portable GameGear which
is basically an improved MasterSystem in a smaller package.

this version requires svgalib to run.


%changelog

* Thu Jul 16 1998 Anthony Wong <ypwong@poboxes.com>

- Updated to release 1.0-2
- Used the cleaned up svgalib patch by Hans de Goede
  <j.w.r.degoede@et.tudelft.nl>


%prep
%setup -n SMS
%setup -T -D -a 1 -n SMS
cd $RPM_BUILD_DIR/SMS
patch -p1 < mg.patch
%patch -p1

%build
make smg

%install
install -o root -g root -d $RPM_BUILD_ROOT/usr/games
install -s -o root -g root -m4755 mg-svga $RPM_BUILD_ROOT/usr/games/mg-svga

%clean
rm -rf $RPM_BUILD_ROOT

%files 
%doc MG.doc SMS.doc readme.patch
/usr/games/mg-svga
